## ros-melodic-libpcan 0.6.17

=== debian/changelog ===
ros-melodic-libpcan (0.6.17-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 25 May 2020 22:00:00 -0000

ros-melodic-libpcan (0.6.16-1bionic) bionic; urgency=high

  * Merge pull request #109 <https://github.com/ipa320/cob_extern/issues/109> from fmessmer/noetic_release
    Noetic release
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 25 May 2020 22:00:00 -0000

ros-melodic-libpcan (0.6.15-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-libpcan (0.6.14-1bionic) bionic; urgency=high

  * Merge pull request #100 <https://github.com/ipa320/cob_extern/issues/100> from christian-rauch/rm_dep_header
    remove dependency on linux-headers-generic
  * remove dependency on linux-headers-generic
    rosdep key 'linux-headers-generic' will always install the "standard" kernel headers. On Ubuntu LTS, where kernels are updated with point
    releases, this will depend on the old kernel header files, while a newer kernel image might be booted.
  * Contributors: Christian Rauch, Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-libpcan (0.6.13-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-libpcan (0.6.12-1bionic) bionic; urgency=high

  * Merge pull request #92 <https://github.com/ipa320/cob_extern/issues/92> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Contributors: Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-libpcan (0.6.11-1bionic) bionic; urgency=high

  * fix include_dirs in cmake_extras
  * use EXPORTED_TARGETS
  * final consistency
  * migrated libpcan to catkin-native wrapping
  * kernel source is not needed for building libpcan
  * update to newest peak driver version 8.3
  * Contributors: Benjamin Maidel, Mathias Lüdtke, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-libpcan (0.6.10-1bionic) bionic; urgency=high

  * update changelog
  * manually fix changelogs
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-melodic-libpcan (0.6.9-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-melodic-libpcan (0.6.8-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-melodic-libpcan (0.6.7-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Oct 2016 22:00:00 -0000

ros-melodic-libpcan (0.6.6-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 12 Oct 2016 22:00:00 -0000

ros-melodic-libpcan (0.6.5-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-libpcan (0.6.4-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-libpcan (0.6.3-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-libpcan (0.6.2-1bionic) bionic; urgency=high

  * catkin_linting and make all build_depends depends only
  * revert trailing whitespace in autogenerated headers
  * fix dependencies and find_package calls
  * remove mainpage.dox
  * fix trailing whitespace
  * libpcan: don't use CATKIN_GLOBAL_* in CMakeLists and fix includes such that headers can be installed only once
  * Install Tag and catkin_package adaptations
  * migrate to package format v2
  * Contributors: ipa-mig

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-libpcan (0.6.1-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 May 2015 22:00:00 -0000

ros-melodic-libpcan (0.6.0-1bionic) bionic; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-melodic-libpcan (0.5.3-1bionic) bionic; urgency=high

  * merge
  * fix install script
  * using version 7.9 of libpcan
  * Contributors: ipa-fmw, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-melodic-libpcan (0.5.2-1bionic) bionic; urgency=high

  * Add missing rospack depends
  * Add missing find_package calls
  * Contributors: Scott K Logan

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-melodic-libpcan (0.5.1-1bionic) bionic; urgency=high

  * add changelogs
  * Updatad libcan-7.9 installation and cleand some files.
  * missing builddep
  * added missing builddep
  * changed copy deps
  * Added another include and some more gefrickel
  * Added include files for cmake.
  * gefrickel ported to cmake
  * added patch for libpcan to compile with Linux kernel >=3.4
  * fixing runtime linking errors by introducing library versions
  * cob_extern is now cob_gefrickel :) did some cmake foo to be compatible to catkin
  * Catkinized version of stack.
    Needs checking of build flags in cob_drivers.
    Also includes updating of libphidgets to 2.1.8 for newer boards.
  * using tarball from willow server
  * Merge branch 'master' of github.com:ipa-nhg/cob_extern
  * Updated libpcan to driver 7.6
  * add CMakeLists.txt
  * Fixed errors in installation script
  * Modification in pcan installation script
  * add libpopt to rosdep
  * fuerte migration
  * activated dongle support for peaksys driver
  * update manifests
  * added md5sum file
  * changed . to -
  * updated to pcan 6.24 on wg servers
  * updated pcan version to 6.24
  * using wg tarballs
  * using tarball from wg for peak
  * cleanup in cob_extern
  * update documentation
  * libpcan install now with insmod, modprobe and NO_NETDEV_SUPPORT
  * additional include export
  * IniFiles are passed via arguments in base_drive_chain

